KPixmapProvider Class Referenceabstract

`#include <kpixmapprovider.h>`

## Public Member Functions

virtual QPixmap | pixmapFor (const QString &text, int size=0)=0

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

A tiny abstract class with just one method: pixmapFor()

It will be called whenever an icon is searched for `text`.

Used e.g. by KHistoryCombo

Author
  Carsten Pfeiffer pfeif.nosp@m.fer@.nosp@m.kde.o.nosp@m.rg an abstract interface for looking up icons

Definition at line 38 of file kpixmapprovider.h.

## Member Function Documentation

virtual QPixmap KPixmapProvider::pixmapFor | ( | const QString & | text,
|  | int | size = `0`
| ) |  |

pure virtual

You may subclass this and return a pixmap of size `size` for `text`.

Parameters

  text | the text that is associated with the pixmap
  size | the size of the icon in pixels, 0 for defaylt size. See KIcon::StdSize.

Returns
  the pixmap for the arguments, or null if there is none

The documentation for this class was generated from the following files:

- kpixmapprovider.h
- kpixmapprovider.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys